$ErrorActionPreference = 'Stop'

$toolsDir = Split-Path $MyInvocation.MyCommand.Definition

$silentArgs = @('/sp- /silent /norestart')

$packageArgs = @{
  packageName    = 'choosenim'
  fileType       = 'exe'
  file64         = "$toolsDir\choosenim-0.7.4-amd64-setup.exe"
  checksum       = '8C4893E4B0CDA6BC9224B6D983E32D3A5CD75A4119DAFA55D0EB9D8D7971FB0E'
  checksumType   = 'sha256'
  silentArgs     = $silentArgs
  validExitCodes = @(0)
}

Install-ChocolateyInstallPackage @packageArgs


